evutil_addrinfo(3)

NAME
evutil_addrinfo - A definition of struct addrinfo for systems that lack it.

SYNOPSIS

#include <util.h>

  Data Fields
struct sockaddr * ai_addr
size_t ai_addrlen
char * ai_canonname
int ai_family
int ai_flags
struct evutil_addrinfo * ai_next
int ai_protocol
int ai_socktype

Detailed Description

A definition of struct addrinfo for systems that lack it. (This is just an alias for struct addrinfo if the system defines struct addrinfo.)

Author

Generated automatically by Doxygen for libevent from the source code.